Index: trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 6051)
+++ trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 6053)
@@ -429,11 +429,16 @@
     }
     private void ParameterizeStochasticOperator(IOperator op) {
-      if (op is IStochasticOperator)
-        ((IStochasticOperator)op).RandomParameter.ActualName = RandomCreator.RandomParameter.ActualName;
+      if (op is IStochasticOperator) {
+        IStochasticOperator stOp = (IStochasticOperator)op;
+        stOp.RandomParameter.ActualName = RandomCreator.RandomParameter.ActualName;
+        stOp.RandomParameter.Hidden = true;
+      }
     }
     private void ParameterizeMoveGenerators() {
       if (Problem != null) {
-        foreach (IMultiMoveGenerator generator in Problem.Operators.OfType<IMultiMoveGenerator>())
+        foreach (IMultiMoveGenerator generator in Problem.Operators.OfType<IMultiMoveGenerator>()) {
           generator.SampleSizeParameter.ActualName = SampleSizeParameter.Name;
+          generator.SampleSizeParameter.Hidden = true;
+        }
       }
     }
@@ -441,4 +446,5 @@
       foreach (ISingleObjectiveMoveEvaluator op in Problem.Operators.OfType<ISingleObjectiveMoveEvaluator>()) {
         op.QualityParameter.ActualName = Problem.Evaluator.QualityParameter.ActualName;
+        op.QualityParameter.Hidden = true;
       }
     }
@@ -446,6 +452,11 @@
       foreach (IMoveMaker op in Problem.Operators.OfType<IMoveMaker>()) {
         op.QualityParameter.ActualName = Problem.Evaluator.QualityParameter.ActualName;
-        if (MoveEvaluator != null)
+        op.QualityParameter.Hidden = true;
+        if (MoveEvaluator != null) {
           op.MoveQualityParameter.ActualName = MoveEvaluator.MoveQualityParameter.ActualName;
+          op.MoveQualityParameter.Hidden = true;
+        } else {
+          op.MoveQualityParameter.Hidden = false;
+        }
       }
     }
@@ -453,27 +464,58 @@
       foreach (ITabuMaker op in Problem.Operators.OfType<ITabuMaker>()) {
         op.QualityParameter.ActualName = Problem.Evaluator.QualityParameter.ActualName;
-        if (MoveEvaluator != null)
+        op.QualityParameter.Hidden = true;
+        if (MoveEvaluator != null) {
           op.MoveQualityParameter.ActualName = MoveEvaluator.MoveQualityParameter.ActualName;
+          op.MoveQualityParameter.Hidden = true;
+        } else {
+          op.MoveQualityParameter.Hidden = false;
+        }
       }
     }
     private void ParameterizeTabuChecker() {
       foreach (ITabuChecker op in Problem.Operators.OfType<ITabuChecker>()) {
-        if (MoveEvaluator != null)
+        if (MoveEvaluator != null) {
           op.MoveQualityParameter.ActualName = MoveEvaluator.MoveQualityParameter.ActualName;
-        if (TabuChecker != null)
+          op.MoveQualityParameter.Hidden = true;
+        } else {
+          op.MoveQualityParameter.Hidden = false;
+        }
+        if (TabuChecker != null) {
           op.MoveTabuParameter.ActualName = TabuChecker.MoveTabuParameter.ActualName;
+          op.MoveTabuParameter.Hidden = true;
+        } else {
+          op.MoveTabuParameter.Hidden = false;
+        }
       }
     }
     private void ParameterizeAnalyzers() {
       moveQualityAnalyzer.ResultsParameter.ActualName = "Results";
+      moveQualityAnalyzer.ResultsParameter.Hidden = true;
       tabuNeighborhoodAnalyzer.ResultsParameter.ActualName = "Results";
+      tabuNeighborhoodAnalyzer.ResultsParameter.Hidden = true;
       tabuNeighborhoodAnalyzer.PercentTabuParameter.ActualName = "PercentTabu";
+      tabuNeighborhoodAnalyzer.PercentTabuParameter.Hidden = true;
       if (Problem != null) {
         moveQualityAnalyzer.MaximizationParameter.ActualName = Problem.MaximizationParameter.Name;
-        if (MoveEvaluator != null)
+        moveQualityAnalyzer.MaximizationParameter.Hidden = true;
+        if (MoveEvaluator != null) {
           moveQualityAnalyzer.QualityParameter.ActualName = MoveEvaluator.MoveQualityParameter.ActualName;
+          moveQualityAnalyzer.QualityParameter.Hidden = true;
+        } else {
+          moveQualityAnalyzer.QualityParameter.Hidden = false;
+        }
         moveQualityAnalyzer.BestKnownQualityParameter.ActualName = Problem.BestKnownQualityParameter.Name;
-        if (TabuChecker != null)
+        moveQualityAnalyzer.BestKnownQualityParameter.Hidden = true;
+        if (TabuChecker != null) {
           tabuNeighborhoodAnalyzer.IsTabuParameter.ActualName = TabuChecker.MoveTabuParameter.ActualName;
+          tabuNeighborhoodAnalyzer.IsTabuParameter.Hidden = true;
+        } else {
+          tabuNeighborhoodAnalyzer.IsTabuParameter.Hidden = false;
+        }
+      } else {
+        moveQualityAnalyzer.MaximizationParameter.Hidden = false;
+        moveQualityAnalyzer.QualityParameter.Hidden = false;
+        moveQualityAnalyzer.BestKnownQualityParameter.Hidden = false;
+        tabuNeighborhoodAnalyzer.IsTabuParameter.Hidden = false;
       }
     }
@@ -482,5 +524,7 @@
         foreach (IIterationBasedOperator op in Problem.Operators.OfType<IIterationBasedOperator>()) {
           op.IterationsParameter.ActualName = "Iterations";
+          op.IterationsParameter.Hidden = true;
           op.MaximumIterationsParameter.ActualName = MaximumIterationsParameter.Name;
+          op.MaximumIterationsParameter.Hidden = true;
         }
       }