Index: branches/histogram/HeuristicLab.Selection/3.3/ConditionalSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 6055)
@@ -34,6 +34,6 @@
       get { return (ScopeTreeLookupParameter<BoolValue>)Parameters["Condition"]; }
     }
-    public ValueParameter<BoolValue> CopySelectedParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
+    protected IValueParameter<BoolValue> CopySelectedParameter {
+      get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
 
@@ -55,4 +55,5 @@
       Parameters.Add(new ScopeTreeLookupParameter<BoolValue>("Condition", "The boolean variable based on which the scopes are selected into a true scope-branch and a false scope-branch."));
       Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "The parameter that decides whether the selected scopes should be copied or moved.", new BoolValue(true)));
+      CopySelectedParameter.Hidden = true;
     }
 
Index: branches/histogram/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs	(revision 6055)
@@ -39,5 +39,5 @@
       get { return (IValueLookupParameter<IntValue>)Parameters["NumberOfSelectedSubScopes"]; }
     }
-    public IValueParameter<BoolValue> CopySelectedParameter {
+    protected IValueParameter<BoolValue> CopySelectedParameter {
       get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
@@ -76,4 +76,5 @@
       Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("CrowdingDistance", "The solutions' crowding distance values."));
       Parameters.Add(new ValueLookupParameter<IntValue>("GroupSize", "The size of the group from which the best will be chosen.", new IntValue(2)));
+      CopySelectedParameter.Hidden = true;
     }
 
Index: branches/histogram/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 6055)
@@ -43,5 +43,5 @@
       get { return (IValueLookupParameter<IntValue>)Parameters["NumberOfSelectedSubScopes"]; }
     }
-    public IValueLookupParameter<BoolValue> CopySelectedParameter {
+    protected IValueLookupParameter<BoolValue> CopySelectedParameter {
       get { return (IValueLookupParameter<BoolValue>)Parameters["CopySelected"]; }
     }
@@ -97,4 +97,5 @@
       Parameters.Add(new ValueParameter<ISelector>("FemaleSelector", "The selection operator to select the first parent."));
       Parameters.Add(new ValueParameter<ISelector>("MaleSelector", "The selection operator to select the second parent."));
+      CopySelectedParameter.Hidden = true;
       #endregion
 
Index: branches/histogram/HeuristicLab.Selection/3.3/LeftSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/LeftSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/LeftSelector.cs	(revision 6055)
@@ -34,6 +34,6 @@
   [StorableClass]
   public sealed class LeftSelector : Selector {
-    private ValueParameter<BoolValue> CopySelectedParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
+    private IValueParameter<BoolValue> CopySelectedParameter {
+      get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
     public IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter {
@@ -59,4 +59,5 @@
       Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolValue(true)));
       Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
+      CopySelectedParameter.Hidden = true;
     }
 
Index: branches/histogram/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs	(revision 6055)
@@ -74,5 +74,4 @@
       #endregion
 
-      CopySelectedParameter.Hidden = true;
       RegisterParameterEventHandlers();
     }
Index: branches/histogram/HeuristicLab.Selection/3.3/RandomSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 6055)
@@ -35,6 +35,6 @@
   [StorableClass]
   public sealed class RandomSelector : StochasticSelector, ISelector {
-    private ValueParameter<BoolValue> CopySelectedParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
+    private IValueParameter<BoolValue> CopySelectedParameter {
+      get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
     public IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter {
@@ -59,4 +59,5 @@
       Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolValue(true)));
       Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
+      CopySelectedParameter.Hidden = true;
     }
 
Index: branches/histogram/HeuristicLab.Selection/3.3/RightSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/RightSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/RightSelector.cs	(revision 6055)
@@ -34,6 +34,6 @@
   [StorableClass]
   public sealed class RightSelector : Selector {
-    private ValueParameter<BoolValue> CopySelectedParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
+    private IValueParameter<BoolValue> CopySelectedParameter {
+      get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
     public IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter {
@@ -56,4 +56,5 @@
       Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolValue(true)));
       Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
+      CopySelectedParameter.Hidden = true;
     }
 
Index: branches/histogram/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 6046)
+++ branches/histogram/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 6055)
@@ -33,9 +33,9 @@
   [StorableClass]
   public abstract class SingleObjectiveSelector : Selector {
-    protected ValueParameter<BoolValue> CopySelectedParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["CopySelected"]; }
+    protected IValueParameter<BoolValue> CopySelectedParameter {
+      get { return (IValueParameter<BoolValue>)Parameters["CopySelected"]; }
     }
     public IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter {
-      get { return (ValueLookupParameter<IntValue>)Parameters["NumberOfSelectedSubScopes"]; }
+      get { return (IValueLookupParameter<IntValue>)Parameters["NumberOfSelectedSubScopes"]; }
     }
     public IValueLookupParameter<BoolValue> MaximizationParameter {
@@ -61,4 +61,5 @@
       Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
       Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Quality", "The quality value contained in each sub-scope which is used for selection."));
+      CopySelectedParameter.Hidden = true;
     }
   }