Index: branches/OKBJavaConnector/QueryService/src/META-INF/QueryService.svc.xml
===================================================================
--- branches/OKBJavaConnector/QueryService/src/META-INF/QueryService.svc.xml	(revision 6069)
+++ branches/OKBJavaConnector/QueryService/src/META-INF/QueryService.svc.xml	(revision 6070)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="utf-8"?><wsdl:definitions name="QueryService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp1="http://www.w3.org/ns/ws-policy" xmlns:sc="http://schemas.sun.com/2006/03/wss/client" xmlns:wspp="http://java.sun.com/xml/ns/wsit/policy"><wsdl:types><xsd:schema targetNamespace="http://tempuri.org/Imports"><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd0" namespace="http://tempuri.org/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Query.DataTransfer"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd3" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays"/></xsd:schema></wsdl:types><wsdl:message name="IQueryService_GetFilters_InputMessage"><wsdl:part name="parameters" element="tns:GetFilters"/></wsdl:message><wsdl:message name="IQueryService_GetFilters_OutputMessage"><wsdl:part name="parameters" element="tns:GetFiltersResponse"/></wsdl:message><wsdl:message name="IQueryService_GetNumberOfRuns_InputMessage"><wsdl:part name="parameters" element="tns:GetNumberOfRuns"/></wsdl:message><wsdl:message name="IQueryService_GetNumberOfRuns_OutputMessage"><wsdl:part name="parameters" element="tns:GetNumberOfRunsResponse"/></wsdl:message><wsdl:message name="IQueryService_GetRunIds_InputMessage"><wsdl:part name="parameters" element="tns:GetRunIds"/></wsdl:message><wsdl:message name="IQueryService_GetRunIds_OutputMessage"><wsdl:part name="parameters" element="tns:GetRunIdsResponse"/></wsdl:message><wsdl:message name="IQueryService_GetRuns_InputMessage"><wsdl:part name="parameters" element="tns:GetRuns"/></wsdl:message><wsdl:message name="IQueryService_GetRuns_OutputMessage"><wsdl:part name="parameters" element="tns:GetRunsResponse"/></wsdl:message><wsdl:portType name="IQueryService"><wsdl:operation name="GetFilters"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetFilters" message="tns:IQueryService_GetFilters_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetFiltersResponse" message="tns:IQueryService_GetFilters_OutputMessage"/></wsdl:operation><wsdl:operation name="GetNumberOfRuns"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetNumberOfRuns" message="tns:IQueryService_GetNumberOfRuns_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetNumberOfRunsResponse" message="tns:IQueryService_GetNumberOfRuns_OutputMessage"/></wsdl:operation><wsdl:operation name="GetRunIds"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetRunIds" message="tns:IQueryService_GetRunIds_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetRunIdsResponse" message="tns:IQueryService_GetRunIds_OutputMessage"/></wsdl:operation><wsdl:operation name="GetRuns"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetRuns" message="tns:IQueryService_GetRuns_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetRunsResponse" message="tns:IQueryService_GetRuns_OutputMessage"/></wsdl:operation></wsdl:portType><wsdl:binding name="QueryService" type="tns:IQueryService"><wsp1:PolicyReference URI="#QueryServicePolicy"/>
+<?xml version="1.0" encoding="utf-8"?><wsdl:definitions name="QueryService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp1="http://www.w3.org/ns/ws-policy" xmlns:sc="http://schemas.sun.com/2006/03/wss/client" xmlns:wspp="http://java.sun.com/xml/ns/wsit/policy" xmlns:sc1="http://schemas.sun.com/2006/03/wss/server"><wsdl:types><xsd:schema targetNamespace="http://tempuri.org/Imports"><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd0" namespace="http://tempuri.org/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Query.DataTransfer"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc?xsd=xsd3" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays"/></xsd:schema></wsdl:types><wsdl:message name="IQueryService_GetFilters_InputMessage"><wsdl:part name="parameters" element="tns:GetFilters"/></wsdl:message><wsdl:message name="IQueryService_GetFilters_OutputMessage"><wsdl:part name="parameters" element="tns:GetFiltersResponse"/></wsdl:message><wsdl:message name="IQueryService_GetNumberOfRuns_InputMessage"><wsdl:part name="parameters" element="tns:GetNumberOfRuns"/></wsdl:message><wsdl:message name="IQueryService_GetNumberOfRuns_OutputMessage"><wsdl:part name="parameters" element="tns:GetNumberOfRunsResponse"/></wsdl:message><wsdl:message name="IQueryService_GetRunIds_InputMessage"><wsdl:part name="parameters" element="tns:GetRunIds"/></wsdl:message><wsdl:message name="IQueryService_GetRunIds_OutputMessage"><wsdl:part name="parameters" element="tns:GetRunIdsResponse"/></wsdl:message><wsdl:message name="IQueryService_GetRuns_InputMessage"><wsdl:part name="parameters" element="tns:GetRuns"/></wsdl:message><wsdl:message name="IQueryService_GetRuns_OutputMessage"><wsdl:part name="parameters" element="tns:GetRunsResponse"/></wsdl:message><wsdl:portType name="IQueryService"><wsdl:operation name="GetFilters"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetFilters" message="tns:IQueryService_GetFilters_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetFiltersResponse" message="tns:IQueryService_GetFilters_OutputMessage"/></wsdl:operation><wsdl:operation name="GetNumberOfRuns"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetNumberOfRuns" message="tns:IQueryService_GetNumberOfRuns_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetNumberOfRunsResponse" message="tns:IQueryService_GetNumberOfRuns_OutputMessage"/></wsdl:operation><wsdl:operation name="GetRunIds"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetRunIds" message="tns:IQueryService_GetRunIds_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetRunIdsResponse" message="tns:IQueryService_GetRunIds_OutputMessage"/></wsdl:operation><wsdl:operation name="GetRuns"><wsdl:input wsaw:Action="http://tempuri.org/IQueryService/GetRuns" message="tns:IQueryService_GetRuns_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IQueryService/GetRunsResponse" message="tns:IQueryService_GetRuns_OutputMessage"/></wsdl:operation></wsdl:portType><wsdl:binding name="QueryService" type="tns:IQueryService"><wsp1:PolicyReference URI="#QueryServicePolicy"/>
     <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/><wsdl:operation name="GetFilters"><soap:operation soapAction="http://tempuri.org/IQueryService/GetFilters" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation><wsdl:operation name="GetNumberOfRuns"><soap:operation soapAction="http://tempuri.org/IQueryService/GetNumberOfRuns" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation><wsdl:operation name="GetRunIds"><soap:operation soapAction="http://tempuri.org/IQueryService/GetRunIds" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation><wsdl:operation name="GetRuns"><soap:operation soapAction="http://tempuri.org/IQueryService/GetRuns" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation></wsdl:binding><wsdl:service name="QueryService"><wsdl:port name="QueryService" binding="tns:QueryService"><soap:address location="https://services.heuristiclab.com/OKB.SPR.Java-3.3/QueryService.svc"/></wsdl:port></wsdl:service>
     <wsp1:Policy wsu:Id="QueryServicePolicy">
@@ -8,5 +8,6 @@
                     <sc:CallbackHandler default="okbtester" name="passwordHandler"/>
                 </sc:CallbackHandlerConfiguration>
-                <sc:KeyStore wspp:visibility="private" alias="hl" storepass="okb123" type="JKS" location="C:\Users\MartinH\Documents\NetBeansProjects\AdministrationService\src\META-INF\keystore.jks"/>
+                <wsam:Addressing wsp1:Optional="false"/>
+                <sc1:KeyStore wspp:visibility="private"/>
             </wsp1:All>
         </wsp1:ExactlyOne>