Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 6075)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 6076)
@@ -13,20 +13,15 @@
 using HLWebOKBQueryPlugin.Helpers;
 
-namespace HLWebOKBQueryPlugin.Controllers
-{
-    public class QueryController : Controller
-    {
-        public ActionResult Index()
-        {
+namespace HLWebOKBQueryPlugin.Controllers {
+    public class QueryController : Controller {
+        public ActionResult Index() {
             return View();
         }
 
-        public ActionResult Menu()
-        {
+        public ActionResult Menu() {
             return View();
         }
 
-        public ActionResult Filter()
-        {
+        public ActionResult Filter() {
             QueryServiceClient client = Query.GetClientFactory();
 
@@ -37,10 +32,15 @@
         }
 
-        public ActionResult Results()
-        {
+        public ActionResult Results() {
+            QueryServiceClient client = Query.GetClientFactory();
+
             QueryModel qm = new QueryModel();
             Session["SelectedSubMenu"] = "Results";
             return View(qm);
         }
+
+        public ActionResult RunCollectionTable() {
+            return View();
+        }
     }
 }
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IParams.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IParams.cs	(revision 6076)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IParams.cs	(revision 6076)
@@ -0,0 +1,45 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HLWebOKBQueryPlugin.Helpers {
+    interface IParams {
+        int Seed { get; set; }
+        bool SetSeedRandomly { get; set; }
+        int PopulationSize { get; set; }
+        string Selector { get; set; }
+        bool Selector_CopySelected { get; set; }
+        int Selector_NumberOfSelectedSubScopes { get; set; }
+        bool Selector_Windowing { get; set; }
+        string Crossover { get; set; }
+        double MutationProbability { get; set; }
+        string Mutator { get; set; }
+        int Elites { get; set; }
+        string Analyzer { get; set; }
+        int Analyzer_UpdateInterval { get; set; }
+        string Analyzer_1 { get; set; }
+        bool Analyzer_1_StoreHistory { get; set; }
+        int Analyzer_1_UpdateInterval { get; set; }
+        string Analyzer_2 { get; set; }
+        bool Analyzer_2_StoreHistory { get; set; }
+        int Analyzer_2_UpdateInterval { get; set; }
+        string Analyzer_0 { get; set; }
+        string Analyzer_3 { get; set; }
+        int MaximumGenerations { get; set; }
+        string AlgorithmName { get; set; }
+        string AlgorithmType { get; set; }
+        bool Maximization { get; set; }
+        string Coordinates { get; set; }
+        string DistanceMatrix { get; set; }
+        bool UseDistanceMatrix { get; set; }
+        string SolutionCreator { get; set; }
+        int SolutionCreator_Length { get; set; }
+        string SolutionCreator_PermutationType { get; set; }
+        string Evaluator { get; set; }
+        double BestKnownQuality { get; set; }
+        string BestKnownSolution { get; set; }
+        string ProblemName { get; set; }
+        string ProblemType { get; set; }
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IResult.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IResult.cs	(revision 6076)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/IResult.cs	(revision 6076)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HLWebOKBQueryPlugin.Helpers {
+    interface IResult {
+        string ExecutionTime { get; set; }
+        int EvaluatedSolutions { get; set; }
+        int Generations { get; set; }
+        string BestTSPSolution { get; set; }
+        double CurrentBestQuality { get; set; }
+        double CurrentAverageQuality { get; set; }
+        double CurrentWorstQuality { get; set; }
+        double BestQuality { get; set; }
+        double BestKnownQuality { get; set; }
+        double AbsoluteDifferenceBestKnownToBest { get; set; }
+        double RelativeDifferenceBestKnownToBest { get; set; }
+        string Qualities { get; set; }
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/RunCollectionData.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/RunCollectionData.cs	(revision 6076)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/RunCollectionData.cs	(revision 6076)
@@ -0,0 +1,152 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+
+using HLWebOKBQueryPlugin.OKBQueryService;
+
+namespace HLWebOKBQueryPlugin.Helpers {
+    public class RunCollectionData : IResult, IParams {
+
+        #region properties
+        // Result
+        public string ExecutionTime { get; set; }
+        public int EvaluatedSolutions { get; set; }
+        public int Generations { get; set; }
+        public string BestTSPSolution { get; set; }
+        public double CurrentBestQuality { get; set; }
+        public double CurrentAverageQuality { get; set; }
+        public double CurrentWorstQuality { get; set; }
+        public double BestQuality { get; set; }
+        public double BestKnownQuality { get; set; }
+        public double AbsoluteDifferenceBestKnownToBest { get; set; }
+        public double RelativeDifferenceBestKnownToBest { get; set; }
+        public string Qualities { get; set; }
+
+        // Parameters
+        public int Seed { get; set; }
+        public bool SetSeedRandomly { get; set; }
+        public int PopulationSize { get; set; }
+        public string Selector { get; set; }
+        public bool Selector_CopySelected { get; set; }
+        public int Selector_NumberOfSelectedSubScopes { get; set; }
+        public bool Selector_Windowing { get; set; }
+        public string Crossover { get; set; }
+        public double MutationProbability { get; set; }
+        public string Mutator { get; set; }
+        public int Elites { get; set; }
+        public string Analyzer { get; set; }
+        public int Analyzer_UpdateInterval { get; set; }
+        public string Analyzer_1 { get; set; }
+        public bool Analyzer_1_StoreHistory { get; set; }
+        public int Analyzer_1_UpdateInterval { get; set; }
+        public string Analyzer_2 { get; set; }
+        public bool Analyzer_2_StoreHistory { get; set; }
+        public int Analyzer_2_UpdateInterval { get; set; }
+        public string Analyzer_0 { get; set; }
+        public string Analyzer_3 { get; set; }
+        public int MaximumGenerations { get; set; }
+        public string AlgorithmName { get; set; }
+        public string AlgorithmType { get; set; }
+        public bool Maximization { get; set; }
+        public string Coordinates { get; set; }
+        public string DistanceMatrix { get; set; }
+        public bool UseDistanceMatrix { get; set; }
+        public string SolutionCreator { get; set; }
+        public int SolutionCreator_Length { get; set; }
+        public string SolutionCreator_PermutationType { get; set; }
+        public string Evaluator { get; set; }
+        public string BestKnownSolution { get; set; }
+        public string ProblemName { get; set; }
+        public string ProblemType { get; set; }
+#endregion
+
+        #region constructor/initialisation
+        public RunCollectionData(Run run) {
+
+            // results
+            ExecutionTime = (string)getValue("Execution Time", run.ResultValues);
+            EvaluatedSolutions = (int)getValue("EvaluatedSolutions", run.ResultValues);
+            Generations = (int)getValue("Generations", run.ResultValues);
+            BestTSPSolution = (string)getValue("Best TSP Solution", run.ResultValues);
+            CurrentBestQuality = (double)getValue("CurrentBestQuality", run.ResultValues);
+            CurrentAverageQuality = (double)getValue("CurrentAverageQuality", run.ResultValues);
+            CurrentWorstQuality = (double)getValue("CurrentWorstQuality", run.ResultValues);
+            BestQuality = (double)getValue("BestQuality", run.ResultValues);
+            BestKnownQuality = (double)getValue("BestKnownQuality", run.ResultValues);
+            AbsoluteDifferenceBestKnownToBest = (double)getValue("AbsoluteDifferenceBestKnownToBest", run.ResultValues);
+            RelativeDifferenceBestKnownToBest = (double)getValue("RelativeDifferenceBestKnownToBest", run.ResultValues);
+            Qualities = (string)getValue("Qualities", run.ResultValues);
+
+            // parameter
+            Seed = (int)getValue("Seed", run.ParameterValues);
+            SetSeedRandomly = (bool)getValue("SetSeedRandomly", run.ParameterValues);
+            PopulationSize = (int)getValue("PopulationSize", run.ParameterValues);
+            Selector = (string)getValue("Selector", run.ParameterValues);
+            Selector_CopySelected = (bool)getValue("Selector.CopySelected", run.ParameterValues);
+            Selector_NumberOfSelectedSubScopes = (int)getValue("Selector.NumberOfSelectedSubScopes", run.ParameterValues);
+            Selector_Windowing = (bool)getValue("Selector.Windowing", run.ParameterValues);
+            Crossover = (string)getValue("Crossover", run.ParameterValues);
+            MutationProbability = (double)getValue("MutationProbability", run.ParameterValues);
+            Mutator = (string)getValue("Mutator", run.ParameterValues);
+
+            Elites = (int)getValue("Elites", run.ParameterValues);
+            Analyzer = (string)getValue("Analyzer", run.ParameterValues);
+            Analyzer_UpdateInterval = (int)getValue("Analyzer.UpdateInterval", run.ParameterValues);
+            Analyzer_1 = (string)getValue("Analyzer.1", run.ParameterValues);
+            Analyzer_1_StoreHistory = (bool)getValue("Analyzer.1.StoreHistory", run.ParameterValues);
+            Analyzer_1_UpdateInterval = (int)getValue("Analyzer.1.UpdateInterval", run.ParameterValues);
+            Analyzer_2 = (string)getValue("Analyzer.2", run.ParameterValues);
+            Analyzer_2_StoreHistory = (bool)getValue("Analyzer.2.StoreHistory", run.ParameterValues);
+            Analyzer_2_UpdateInterval = (int)getValue("Analyzer.2.UpdateInterval", run.ParameterValues);
+            Analyzer_0 = (string)getValue("Analyzer.0", run.ParameterValues);
+
+            Analyzer_3 = (string)getValue("Analyzer.3", run.ParameterValues);
+            MaximumGenerations = (int)getValue("MaximumGenerations", run.ParameterValues);
+            AlgorithmName = (string)getValue("Algorithm Name", run.ParameterValues);
+            AlgorithmType = (string)getValue("Algorithm Type", run.ParameterValues);
+            Maximization = (bool)getValue("Maximization", run.ParameterValues);
+            Coordinates = (string)getValue("Coordinates", run.ParameterValues);
+            DistanceMatrix = (string)getValue("DistanceMatrix", run.ParameterValues);
+            UseDistanceMatrix = (bool)getValue("UseDistanceMatrix", run.ParameterValues);
+            SolutionCreator = (string)getValue("SolutionCreator", run.ParameterValues);
+            SolutionCreator_Length = (int)getValue("SolutionCreator.Length", run.ParameterValues);
+
+            SolutionCreator_PermutationType = (string)getValue("SolutionCreator.PermutationType", run.ParameterValues);
+            Evaluator = (string)getValue("Evaluator", run.ParameterValues);
+            BestKnownQuality = (double)getValue("BestKnownQuality", run.ParameterValues);
+            BestKnownSolution = (string)getValue("BestKnownSolution", run.ParameterValues);
+            ProblemName = (string)getValue("Problem Name", run.ParameterValues);
+            ProblemType = (string)getValue("Problem Type", run.ParameterValues);
+
+        }
+        #endregion
+
+        private object getValue(string name, Value[] vals) {
+            foreach (Value val in vals) {
+                if (val.Name.Equals(name)) {
+                    if (val.DataType.Name == typeof(OKBQueryService.BinaryValue).Name)
+                        return ((BinaryValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.BoolValue).Name)
+                        return ((BoolValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.DoubleValue).Name)
+                        return ((DoubleValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.FloatValue).Name)
+                        return ((FloatValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.IntValue).Name)
+                        return ((IntValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.LongValue).Name)
+                        return ((LongValue)val).Value;
+                    else if (val.DataType.Name == typeof(OKBQueryService.StringValue).Name)
+                        return ((StringValue)val).Value;
+                    else if (val.DataType.Name == "PercentValue")
+                        return ((DoubleValue)val).Value;
+                    else
+                        return val.DataType.Name;
+                }
+            }
+            return null;
+        }
+
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 6075)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 6076)
@@ -11,22 +11,44 @@
     public class QueryModel {
 
-       public String SelectedSubMenu { get; set; }
+        public String SelectedSubMenu { get; set; }
 
-       public IList<Filter> QueryFilterGetAll() {
-           QueryServiceClient client = Query.GetClientFactory();
+        public IList<Filter> QueryFilterGetAll() {
+            QueryServiceClient client = Query.GetClientFactory();
 
-           IList<Filter> filterList = new List<Filter>();
+            IList<Filter> filterList = new List<Filter>();
 
-           if (client != null) {
-               Filter[] filters = client.GetFilters();
-               foreach (Filter f in filters) {
-                   filterList.Add(f);
+            if (client != null) {
+                Filter[] filters = client.GetFilters();
+                foreach (Filter f in filters) {
+                    filterList.Add(f);
 
-               }
-           }
+                }
+            }
 
-           return filterList;
-       }
+            return filterList;
+        }
 
+        // just 4 testing
+        public IList<RunCollectionData> getTestRuns() {
+
+            QueryServiceClient client = Query.GetClientFactory();
+
+            if (client != null) {
+                IList<RunCollectionData> runs = new List<RunCollectionData>();
+
+                //long[] runIds = client.GetRunIds(new Filter());
+                //if (runIds.Length < cnt) cnt = runIds.Length;
+
+                long[] getRuns = new long[2]{1,2};
+
+                IList<Run> runList = client.GetRuns(getRuns, false).ToList<Run>();
+
+                foreach (Run r in runList) 
+                    runs.Add(new RunCollectionData(r));
+
+                return runs;
+            }
+            return new List<RunCollectionData>();
+        }
     }
 }
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx	(revision 6075)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Results.aspx	(revision 6076)
@@ -1,5 +1,3 @@
-﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
-<%@ Register Src="~/Views/Query/RunCollectionTable.ascx" TagName="RunCollectionTable" TagPrefix="HL" %>
-<%@ Register Src="~/Views/Query/RunCollectionDetail.ascx" TagName="RunCollectionDetail" TagPrefix="HL" %>
+﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" ViewStateMode="Enabled" EnableEventValidation="true"  %>
 
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
@@ -15,11 +13,6 @@
     <h2>Results</h2>
     
-    <h3>Test table element</h3>
-    <form runat="server">
-        <HL:RunCollectionTable ID="kurt" runat="server" />
-    </form>
+        <% Html.RenderAction("RunCollectionTable"); %>
 
-    <h3>Test detail element</h3>
-    <HL:RunCollectionDetail ID="sepp" runat="server" />
 
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionData.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionData.cs	(revision 6075)
+++ 	(revision )
@@ -1,18 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-
-using HLWebOKBQueryPlugin.OKBQueryService;
-
-namespace HLWebOKBQueryPlugin.Views.Query {
-    public class RunCollectionData {
-        public string AlgorithmName { get; set; }
-        public string AlgorithmAlgorithmClass { get; set; }
-
-        public RunCollectionData(Run run) {
-            AlgorithmName = run.Algorithm.Name;
-            AlgorithmAlgorithmClass = run.Algorithm.AlgorithmClass;
-        }
-    }
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionDetail.ascx.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionDetail.ascx.cs	(revision 6075)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionDetail.ascx.cs	(revision 6076)
@@ -7,4 +7,6 @@
 
 using System.Reflection;
+
+using HLWebOKBQueryPlugin.Helpers;
 
 namespace HLWebOKBQueryPlugin.Views.Query {
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx	(revision 6075)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx	(revision 6076)
@@ -1,18 +1,19 @@
-﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RunCollectionTable.ascx.cs" Inherits="HLWebOKBQueryPlugin.Views.Query.RunCollectionTable" %>
+﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
 
-<asp:GridView ID="GridRunCollection" runat="server" AutoGenerateColumns="False" 
-                OnRowCommand="GridRunCollection_RowCommand" 
-                OnSelectedIndexChanged="GridRunCollection_SelectedIndexChanged">
-    <SelectedRowStyle BackColor="Aqua" />
-    <Columns>
-        <asp:BoundField />
-        <asp:CommandField ShowSelectButton="true" SelectText="Details" />
-        <asp:BoundField HeaderText="Abs.DifferenceBestKnown2Best" />
-        <asp:BoundField HeaderText="Algorithm Name" DataField="AlgorithmName" />
-        <asp:BoundField HeaderText="Algorithm Type" DataField="AlgorithmAlgorithmClass" />
-        <asp:BoundField HeaderText="Analyser" />
-    </Columns>
-</asp:GridView>
+<div id="RunCollectionTable" style="overflow: auto; width: 100%">
+    <form id="frmRunCollectionTable" runat="server" method="post">
 
-<asp:TextBox ID="txtTest" runat="server" />
-<asp:TextBox ID="txtTest2" runat="server" />
+        <asp:GridView ID="GridRunCollection" runat="server" DataSourceID="dsQueryRuns">
+            <SelectedRowStyle BackColor="Aqua" />
+            <Columns>
+                <asp:BoundField />
+                <asp:CommandField ShowSelectButton="true" SelectText="Details" />
+            </Columns>
+        </asp:GridView>
+        <asp:ObjectDataSource ID="dsQueryRuns" runat="server" 
+                    SelectMethod="getTestRuns" 
+                    TypeName="HLWebPluginHost.Models.QueryModel">
+        </asp:ObjectDataSource>
+
+    </form>
+</div>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx.cs	(revision 6075)
+++ 	(revision )
@@ -1,66 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.UI;
-using System.Web.UI.WebControls;
-
-using HLWebOKBQueryPlugin.OKBQueryService;
-
-namespace HLWebOKBQueryPlugin.Views.Query {
-    public partial class RunCollectionTable : System.Web.UI.UserControl {
-        public IList<Run> DataRuns { get; set; }
-
-        protected void Page_Load(object sender, EventArgs e) {
-            DataRuns = getTestData();
-
-            IList<RunCollectionData> runsList = new List<RunCollectionData>();
-            foreach (Run r in DataRuns)
-                runsList.Add(new RunCollectionData(r));
-
-            GridRunCollection.DataSource = runsList;
-            GridRunCollection.DataBind();
-
-        }
-
-        private IList<Run> getTestData() {
-            IList<Run> runs = new List<Run>();
-
-            Run run = new Run();
-            run.Id = 34;
-            run.Algorithm = new OKBQueryService.Algorithm();
-            run.Algorithm.Name = "TestAlgo";
-            run.Algorithm.AlgorithmClass = "TestAlgoClass";
-            runs.Add(run);
-
-            run = new Run();
-            run.Id = 35;
-            run.Algorithm = new OKBQueryService.Algorithm();
-            run.Algorithm.Name = "TestAlgo2";
-            run.Algorithm.AlgorithmClass = "TestAlgoClass2";
-            runs.Add(run);
-
-            run = new Run();
-            run.Id = 36;
-            run.Algorithm = new OKBQueryService.Algorithm();
-            run.Algorithm.Name = "TestAlgo3";
-            run.Algorithm.AlgorithmClass = "TestAlgoClass3";
-            runs.Add(run);
-
-            return runs;
-        }
-
-        protected void GridRunCollection_RowCommand(Object sender, GridViewCommandEventArgs e) {
-            txtTest.Text = e.CommandName;
-            if (e.CommandName == "Select") {
-                // TODO gererate Details
-                txtTest.Text = e.CommandName;
-            }
-        }
-
-        protected void GridRunCollection_SelectedIndexChanged(Object sender, EventArgs e) {
-            txtTest2.Text = GridRunCollection.SelectedIndex.ToString();
-        }
-    }
-
-}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx.designer.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/RunCollectionTable.ascx.designer.cs	(revision 6075)
+++ 	(revision )
@@ -1,42 +1,0 @@
-﻿//------------------------------------------------------------------------------
-// <auto-generated>
-//     This code was generated by a tool.
-//
-//     Changes to this file may cause incorrect behavior and will be lost if
-//     the code is regenerated. 
-// </auto-generated>
-//------------------------------------------------------------------------------
-
-namespace HLWebOKBQueryPlugin.Views.Query {
-    
-    
-    public partial class RunCollectionTable {
-        
-        /// <summary>
-        /// GridRunCollection control.
-        /// </summary>
-        /// <remarks>
-        /// Auto-generated field.
-        /// To modify move field declaration from designer file to code-behind file.
-        /// </remarks>
-        protected global::System.Web.UI.WebControls.GridView GridRunCollection;
-        
-        /// <summary>
-        /// txtTest control.
-        /// </summary>
-        /// <remarks>
-        /// Auto-generated field.
-        /// To modify move field declaration from designer file to code-behind file.
-        /// </remarks>
-        protected global::System.Web.UI.WebControls.TextBox txtTest;
-        
-        /// <summary>
-        /// txtTest2 control.
-        /// </summary>
-        /// <remarks>
-        /// Auto-generated field.
-        /// To modify move field declaration from designer file to code-behind file.
-        /// </remarks>
-        protected global::System.Web.UI.WebControls.TextBox txtTest2;
-    }
-}