Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs	(revision 6086)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs	(revision 6087)
@@ -84,5 +84,5 @@
       Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the best QAP solution should be stored."));
       Parameters.Add(new LookupParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this QAP instance."));
-      Parameters.Add(new LookupParameter<ItemList<Permutation>>("BestKnownSolutions", "The best known solutions of this QAP instance."));
+      Parameters.Add(new LookupParameter<ItemList<Permutation>>("BestKnownSolutions", "The best known solutions (there may be multiple) of this QAP instance."));
       Parameters.Add(new LookupParameter<Permutation>("BestKnownSolution", "The best known solution of this QAP instance."));
     }
@@ -92,8 +92,4 @@
       // BackwardsCompatibility3.3
       #region Backwards compatible code, remove with 3.4
-      /*if (Parameters.ContainsKey("BestKnownSolution")) {
-        Parameters.Remove("BestKnownSolution");
-        Parameters.Add(new LookupParameter<ItemList<Permutation>>("BestKnownSolutions", "The best known solutions of this QAP instance."));
-      }*/
       if (!Parameters.ContainsKey("BestKnownSolutions")) {
         Parameters.Add(new LookupParameter<ItemList<Permutation>>("BestKnownSolutions", "The best known solutions of this QAP instance."));
@@ -117,16 +113,21 @@
       if (bestKnownQuality == null
           || max && qualities[i].Value > bestKnownQuality.Value
-          || !max && qualities[i].Value < bestKnownQuality.Value
-          || bestKnownQuality.Value == qualities[i].Value
-            && (BestKnownSolutionsParameter.ActualValue == null || BestKnownSolutionsParameter.ActualValue.Count == 0)) {
+          || !max && qualities[i].Value < bestKnownQuality.Value) {
+        // if there isn't a best-known quality or we improved the best-known quality we'll add the current solution as best-known
         BestKnownQualityParameter.ActualValue = new DoubleValue(qualities[i].Value);
         BestKnownSolutionParameter.ActualValue = (Permutation)permutations[i].Clone();
         BestKnownSolutionsParameter.ActualValue = new ItemList<Permutation>();
         BestKnownSolutionsParameter.ActualValue.Add((Permutation)permutations[i].Clone());
-      } else if (bestKnownQuality != null && qualities[i].Value == bestKnownQuality.Value) {
+      } else if (bestKnownQuality.Value == qualities[i].Value) {
+        // if we matched the best-known quality we'll try to set the best-known solution if it isn't null
+        // and try to add it to the pool of best solutions if it is different
+        if (BestKnownSolutionParameter.ActualValue == null)
+          BestKnownSolutionParameter.ActualValue = (Permutation)permutations[i].Clone();
+        if (BestKnownSolutionsParameter.ActualValue == null)
+          BestKnownSolutionsParameter.ActualValue = new ItemList<Permutation>();
         PermutationEqualityComparer comparer = new PermutationEqualityComparer();
-        foreach (var k in sorted) {
+        foreach (var k in sorted) { // for each solution that we found check if it is in the pool of best-knowns
           if (!max && k.Value > qualities[i].Value
-            || max && k.Value < qualities[i].Value) break;
+            || max && k.Value < qualities[i].Value) break; // stop when we reached a solution worse than the best-known quality
           Permutation p = permutations[k.index];
           bool alreadyPresent = false;
Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/esc32a.sln
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/esc32a.sln	(revision 6087)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/esc32a.sln	(revision 6087)
@@ -0,0 +1,2 @@
+ 32 130
+ 26 18 20 24 22 30 28 11 21 5 29 10 25 17 19 12 13 23 31 32 3 14 4 7 16 9 15 6 8 1 27 2
Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/sko49.sln
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/sko49.sln	(revision 6087)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Data/sko49.sln	(revision 6087)
@@ -0,0 +1,4 @@
+ 49 23386
+ 47 36 26 25 28 46 49 13 7 42 20 18 11 40 14 41 35 43 29 48
+ 12 24 9 10 6 34 2 31 1 15 45 27 38 23 3 19 32 37 33 30 8 22
+ 4 17 21 5 16 39 44
Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/HeuristicLab.Problems.QuadraticAssignment-3.3.csproj
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/HeuristicLab.Problems.QuadraticAssignment-3.3.csproj	(revision 6086)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/HeuristicLab.Problems.QuadraticAssignment-3.3.csproj	(revision 6087)
@@ -439,7 +439,13 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="Data\tai100a.sln" />
-    <Content Include="Data\tai25a.sln" />
-    <Content Include="Data\tai50a.sln" />
+    <EmbeddedResource Include="Data\tai100a.sln" />
+    <EmbeddedResource Include="Data\tai25a.sln" />
+    <EmbeddedResource Include="Data\tai50a.sln" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Data\esc32a.sln" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Data\sko49.sln" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />